#!/bin/bash
# ==============================================================================
# SCRIPTS FOR CHROOTING STUNNEL 4.x ON DEBIAN SARGE/ETCH, version 0.2 
# Project home page: http://tsampa.org/computing/servers/debian/stunnel/
# (c) Kristoffer Lindqvist <kris@tsampa.org>, 2005-2007
# ------------------------------------------------------------------------------
# This program is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation; either version 2 of the License, or (at your option) any later
# version. See LICENSE for details.
# ==============================================================================
#
# This is updatejail.sh. See README for usage details.

if [ ! $# == 2 ]; then
  echo "Usage: $0 chdir user"
  exit
fi

CHDIR=$1
USER=$2

echo 'Preparing jail for Stunnel'

# make customized install script from generic stunnel.py
cp templates/stunnel.py /tmp/stunnel_${USER}.py &&
echo "chroot=\"${CHDIR}\"" >> /tmp/stunnel_${USER}.py &&
echo "users=[\"${USER}\"]" >> /tmp/stunnel_${USER}.py &&
echo "groups=[\"${USER}\"]" >> /tmp/stunnel_${USER}.py &&
echo '...created jail script'

# update stunnel and its dependencies 
# script - see finalizejail.sh)
makejail /tmp/stunnel_${USER}.py &&
grep $USER /etc/passwd > ${CHDIR}/etc/passwd &&
grep $USER /etc/group > ${CHDIR}/etc/group &&
echo '...added stunnel users to jail'

# remove custom install script
rm -f /tmp/stunnel_${USER}.py &&
echo '..removed jail script'

echo 'DONE!'

